Bug 190854 - New port: biology/ncbi-blast
Summary: New port: biology/ncbi-blast
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-10 01:54 UTC by Jason W. Bacon
Modified: 2014-10-06 20:21 UTC (History)
1 user (show)

See Also:


Attachments
shar file of new port framework (207.89 KB, text/plain)
2014-06-10 01:54 UTC, Jason W. Bacon
no flags Details
New shar with amq -w patch (247.41 KB, text/plain)
2014-10-06 16:42 UTC, Jason W. Bacon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2014-06-10 01:54:16 UTC
Created attachment 143589 [details]
shar file of new port framework

The Basic Local Alignment Search Tool (BLAST) finds regions of local
similarity between sequences. The program compares nucleotide or protein
sequences to sequence databases and calculates the statistical significance of
matches. BLAST can be used to infer functional and evolutionary relationships
between sequences as well as help identify members of gene families.
Comment 1 John Marino freebsd_committer 2014-07-31 16:02:06 UTC
Can you provide test logs?
Poudriere?  Redports?  At least the output of "make check-plist" followed by "make stage-qa" ?
Comment 2 John Marino freebsd_committer 2014-07-31 16:34:26 UTC
If you choose poudriere, make sure you use either "poudriere testport" or "poudriere bulk -t" in order to enable stage-qa checks, thanks!
Comment 3 Jason W. Bacon freebsd_committer 2014-08-03 18:12:55 UTC
This port was also built on a blank VM to verify depends (standard procedure for me).  I'll check out poudriere and redports when I get a chance.

<<<ROOT@freebsdports.acadix>>> /usr/wip/biology/ncbi-blast 47 # make check-plist 
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for directories owned by MTREEs
===> Checking for directories handled by dependencies
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
<<<ROOT@freebsdports.acadix>>> /usr/wip/biology/ncbi-blast 48 # make stage-qa
====> Running Q/A tests (stage-qa)
<<<ROOT@freebsdports.acadix>>> /usr/wip/biology/ncbi-blast 49 #
Comment 4 John Marino freebsd_committer 2014-08-03 18:18:46 UTC
thanks, please post when you have them.  What you just provided is good enough to set this PR to "patch-ready" though.
Comment 5 John Marino freebsd_committer 2014-08-07 12:44:28 UTC
major issue, it locks up during configuration phase:

checking size of size_t... 8
checking for amq... /usr/sbin/amq
checking whether /usr/sbin/amq -w works...


This command (/usr/sbin/amq -w) never returns.  The man page says that amd server must be running for -w option.

If I kill the hung process, then it passes the configuration.

I think you need to disable the check somehow.  Is amq even needed for this port?
Comment 6 John Marino freebsd_committer 2014-08-07 13:07:58 UTC
other than the amq thing, it passed all tests:

===========================================================================
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for directories owned by MTREEs
===> Checking for directories handled by dependencies
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done
Comment 7 John Marino freebsd_committer 2014-08-10 08:19:49 UTC
jason, did you get a chance to look at this?
Comment 8 Jason W. Bacon freebsd_committer 2014-08-12 00:37:24 UTC
No, 'been swamped lately, but I'll investigate ASAP.
Comment 9 John Marino freebsd_committer 2014-08-17 08:29:30 UTC
Just pinging on this.  It's been in my inbox for a while, at some point I'm going to throw the PR back on the heap again if it doesn't start moving.
Comment 10 John Marino freebsd_committer 2014-08-23 16:01:07 UTC
alright, that's a total of 16 days with no response which is long enough, I think we'll all agree.  Ping the PR when something changes, I'm throwing it back on the heap.
Comment 11 John Marino freebsd_committer 2014-10-05 22:45:42 UTC
anything to report here?
Comment 12 Jason W. Bacon freebsd_committer 2014-10-06 16:42:25 UTC
Created attachment 148035 [details]
New shar with amq -w patch

Added patch to disable amq -w check, which reportedly hangs configure script on some systems.
Comment 13 John Marino freebsd_committer 2014-10-06 17:16:19 UTC
There's a better way to do that which doesn't require a patch, e.g. 

CONFIGURE_ENV+= ncbi_cv_prog_amq_w=no

in the makefile.

Have you determine if there's any impact to building without amq?  Or in other words, why is it's presence tested if it's not needed?
Comment 14 John Marino freebsd_committer 2014-10-06 17:57:14 UTC
By the way, be careful generating shar files.  I found no less than 3 extra files in there, including a log.  Shar files should be only the port files.  Everything else needs separate attachments.

However, in the case of "todo" and "submitted", I don't think you wanted that at all.
Comment 15 John Marino freebsd_committer 2014-10-06 18:02:20 UTC
There is more on this version of the configure patch than the previous version.

this version defined __RUNETYPE_INTERNAL.  Why?

Both version remove help text about infodir and mandir.  why?  It seems that it doesn't do anything to me.

I'm going to try building without a patch at all.
Comment 16 John Marino freebsd_committer 2014-10-06 18:19:32 UTC
Damn.
Problem 1, you used /LATEST in the MASTER_SITES definition, which is bad for obvious reasons.  That is easily fixed.

What's not fixable is that version 2.2.29 sources have been completely removed.  The previous versions sources are there and the latest 2.2.30 sources are there, but not 2.2.29.  It may have been removed intentionally.

I'll try the next version but this is getting heavy very fast.  (I've also fixed a few things again quietly.  I did this the first time too and now I have to fix them same things again)
Comment 17 John Marino freebsd_committer 2014-10-06 18:30:16 UTC
(In reply to John Marino from comment #15)
> Both version remove help text about infodir and mandir.  why?  It seems that
> it doesn't do anything to me.

Now I know why.  I'll use sed instead of a patch though.
Comment 18 John Marino freebsd_committer 2014-10-06 18:33:08 UTC
I'll bring this back too although I wonder how FreeBSD 8 will look it.

X	${REINPLACE_CMD} \
X		-e "s|-D_THREAD_SAFE|-D_THREAD_SAFE -D__RUNETYPE_INTERNAL|g" \
X		${WRKSRC}/src/build-system/configure
Comment 19 John Marino freebsd_committer 2014-10-06 18:43:26 UTC
fyi, your conversion of USE_PYTHON => USES=python was wrong, it overwrote the previous definition of USES.
Comment 20 John Marino freebsd_committer 2014-10-06 18:52:18 UTC
(In reply to John Marino from comment #18)
> I'll bring this back too although I wonder how FreeBSD 8 will look it.
> 
> X	${REINPLACE_CMD} \
> X		-e "s|-D_THREAD_SAFE|-D_THREAD_SAFE -D__RUNETYPE_INTERNAL|g" \
> X		${WRKSRC}/src/build-system/configure

While ncbi-blast is building (takes a while, doesn't it?), I am wondering if this is actually legit.  The message in the comment is typically seen when libraries from old system are mixed with new.  Since you don't use poudriere, I'm wondering if you have a mixed jail.

If this builds successfully, I'll have to rebuild it without this line to see if it's really needed.  I suspect it's not and your system was/is dirty.
Comment 21 John Marino freebsd_committer 2014-10-06 19:40:37 UTC
verdict: This definition is really needed.
Comment 22 commit-hook freebsd_committer 2014-10-06 20:16:40 UTC
A commit references this bug:

Author: marino
Date: Mon Oct  6 20:16:37 UTC 2014
New revision: 370220
URL: https://svnweb.freebsd.org/changeset/ports/370220

Log:
  Add new port biology/ncbi-blast

  PR:		190854
  Submitted by:	Jason Bacon

  The Basic Local Alignment Search Tool (BLAST) finds regions of local
  similarity between sequences. The program compares nucleotide or protein
  sequences to sequence databases and calculates the statistical
  significance of matches. BLAST can be used to infer functional and
  evolutionary relationships between sequences as well as help identify
  members of gene families.

Changes:
  head/biology/Makefile
  head/biology/ncbi-blast/
  head/biology/ncbi-blast/Makefile
  head/biology/ncbi-blast/distinfo
  head/biology/ncbi-blast/pkg-descr
  head/biology/ncbi-blast/pkg-plist
Comment 23 John Marino freebsd_committer 2014-10-06 20:21:01 UTC
Okay, finishing thoughts:

1) I tested on F10/amd64 and F84/i386 with poudriere bulk -t, passed fine
2) I had to significantly updated the pkg-plist with the new version 2.2.30.  Many files were added or switched locations
3) It was good that I got rid of the configure patch and replaced it with sed because it wouldn't applied to version 2.2.30.  However with sed, it worked with the new version just fine.
4) I made a few tweaks that I didn't document.  you should review at your leisure. 

This PR is finished now.